Get All Event Audits

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v1/event-audits

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Query parameters

  • timeFrom string(date-time)
  • timeTo string(date-time)
  • pageSize integer(int32)

    Default value is 20.

  • pageNumber integer(int32)

    Default value is 0.

  • smartPmEvents array[string]
  • messageContains string
  • actorUserName string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • items array[object]
      Hide items attributes Show items attributes object
      • class_uid integer(int32)
      • class_name string
      • category_uid integer(int32)
      • category_name string
      • activity_id integer(int32)
      • activity_name string
      • severity_id integer(int32)
      • severity string
      • time string
      • metadata object
        Hide metadata attributes Show metadata attributes object
        • version string
        • product object
          Hide product attribute Show product attribute object
          • name string
      • actor object
        Hide actor attribute Show actor attribute object
        • user object
          Hide user attributes Show user attributes object
          • created string(date-time)
          • lastUpdated string(date-time)
          • version integer(int32)
          • id string(uuid)
          • firstName string

            Minimum length is 1, maximum length is 25.

          • lastName string
          • email string(email)
          • phone string

            Minimum length is 0, maximum length is 20.

          • title string
          • login object
            Hide login attributes Show login attributes object
            • username string

              Minimum length is 6, maximum length is 255.

            • password string Required

              Minimum length is 8, maximum length is 255.

            • passwordResetToken string
            • credentialsExpired boolean
          • roles array[object]
            Hide roles attributes Show roles attributes object
            • created string(date-time)
            • lastUpdated string(date-time)
            • version integer(int32)
            • id string(uuid)
            • name string Required

              Minimum length is 1, maximum length is 100.

            • type string Required

              Values are Company, Project, or Site.

            • defaultProjectRoleId string(uuid)
            • permissions array[object]
              Hide permissions attributes Show permissions attributes object
              • created string(date-time)
              • lastUpdated string(date-time)
              • version integer(int32)
              • id string(uuid)
              • type string Required

                Values are admin, none, companyAdmin, companyManager, companyUser, companyReadOnly, companyUserPlus, projectManager, activityManager, or scheduleAdmin.

            • companyId string(uuid)
            • description string

              Minimum length is 0, maximum length is 255.

          • lastLogin string(date-time)
          • loginCount integer(int64)
          • authenticationProvider string
          • reportingRestricted boolean
          • fullName string
      • src_endpoint object
        Hide src_endpoint attribute Show src_endpoint attribute object
        • ip string
      • resource object
        Hide resource attributes Show resource attributes object
        • uid string
        • name string
        • type string
      • smartpm_event string
      • status_id integer(int32)
      • status string
      • message string
    • hasMore boolean
GET /public/v1/event-audits
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/event-audits' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "items": [
    {
      "class_uid": 42,
      "class_name": "string",
      "category_uid": 42,
      "category_name": "string",
      "activity_id": 42,
      "activity_name": "string",
      "severity_id": 42,
      "severity": "string",
      "time": "string",
      "metadata": {
        "version": "string",
        "product": {
          "name": "string"
        }
      },
      "actor": {
        "user": {
          "created": "2026-05-04T09:42:00Z",
          "lastUpdated": "2026-05-04T09:42:00Z",
          "version": 42,
          "id": "string",
          "firstName": "string",
          "lastName": "string",
          "email": "hello@example.com",
          "phone": "string",
          "title": "string",
          "login": {
            "username": "string",
            "password": "string",
            "passwordResetToken": "string",
            "credentialsExpired": true
          },
          "roles": [
            {
              "created": "2026-05-04T09:42:00Z",
              "lastUpdated": "2026-05-04T09:42:00Z",
              "version": 42,
              "id": "string",
              "name": "string",
              "type": "Company",
              "defaultProjectRoleId": "string",
              "permissions": [
                {
                  "created": "2026-05-04T09:42:00Z",
                  "lastUpdated": "2026-05-04T09:42:00Z",
                  "version": 42,
                  "id": "string",
                  "type": "admin"
                }
              ],
              "companyId": "string",
              "description": "string"
            }
          ],
          "lastLogin": "2026-05-04T09:42:00Z",
          "loginCount": 42,
          "authenticationProvider": "string",
          "reportingRestricted": true,
          "fullName": "string"
        }
      },
      "src_endpoint": {
        "ip": "string"
      },
      "resource": {
        "uid": "string",
        "name": "string",
        "type": "string"
      },
      "smartpm_event": "string",
      "status_id": 42,
      "status": "string",
      "message": "string"
    }
  ],
  "hasMore": true
}